org.codehaus.groovy.ast.tools

## Class ClassNodeUtils

- java.lang.Object
- - org.codehaus.groovy.ast.tools.ClassNodeUtils

    public class ClassNodeUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ClassNodeUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn, java.util.Map<java.lang.String,MethodNode> allInterfaceMethods)`
`static void` `addInterfaceMethods(ClassNode cnode, java.util.Map<java.lang.String,MethodNode> methodsMap)`
`static java.util.Map<java.lang.String,MethodNode>` `getDeclaredMethodMapsFromInterfaces(ClassNode classNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassNodeUtils

    public ClassNodeUtils()

### Method Detail

#### addInterfaceMethods

    public static void addInterfaceMethods(ClassNode cnode,
                                           java.util.Map<java.lang.String,MethodNode> methodsMap)

#### getDeclaredMethodMapsFromInterfaces

    public static java.util.Map<java.lang.String,MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode classNode)

#### addDeclaredMethodMapsFromSuperInterfaces

    public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cn,
                                                                java.util.Map<java.lang.String,MethodNode> allInterfaceMethods)